.ggg-faq {
    width: calc(100% - 30px);
    max-width: 792px;
    margin: 0 auto 20px auto;
}

.ggg-faq-item {
    border: 2px solid #F5F5F8;
    border-radius: 16px;
    margin-bottom: 16px;
    overflow: hidden;
    transition: all 0.3s ease;
}

.ggg-faq-question {
    width: 100%;
    background: #fff;
    border: none;
    padding: 18px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 18px;
    font-weight: 600;
    cursor: pointer;
}

.ggg-faq-question span {
    padding: 4px 0 4px 7px;
}

.ggg-faq-question span {
    text-align: left;
}

.ggg-faq-icon {
    transition: transform 0.3s ease;
}

.ggg-faq-answer {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.35s ease;
}

.ggg-faq-content {
    padding: 0 20px 10px;
    font-size: 15px;
    color: #374151;
    line-height: 1.6;
}

/* Active */
.ggg-faq-item.active .ggg-faq-answer {
    max-height: 500px;
}

.ggg-faq-item.active .ggg-faq-icon {
    transform: rotate(180deg);
}

.ggg-faq-item.active {
    border-radius: 16px;
    transition: all 0.3s ease;
    border: 2px solid var(--primary);
}
